#include <pthread.h>
#include <stdio.h>
#include <unistd.h>
#include <errno.h>

/* 
 * Test priority queues
 */

struct _thread_local_storage t1, t2, t3;
pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;

main()
{
    t1.curprio = 10;
    t2.curprio = 10;
    t3.curprio = 10;
    prio_queue_insert(&mutex.waiters, &t1);
    prio_queue_insert(&mutex.waiters, &t2);
    prio_queue_insert(&mutex.waiters, &t3);
}

